﻿.contact-box{
    display: block;
    width: 100%;
    margin-top: 87px;
    font-size: 0;
    background-color: #f5f5f5;
}
.contact-info-box{
    width: 1200px;
    max-width: 100%;
    margin: 0 auto;
    display: flex;
    flex-direction: row-reverse;
    align-items: flex-start;
    position: relative;
    box-sizing: border-box;
    padding: 70px 0;
}
.contact-info-form-box{
    width: 580px;
    max-width: 100%;
    background-color: #fff;
    box-sizing: border-box;
    padding: 40px 50px;
    display: inline-block;
    vertical-align: top;
    margin-right: 40px;
}
.contact-info-form-name-box{
    display: block;
    margin-bottom: 30px;
}
.contact-info-form-name{
    font-size: 20px;
    color: #389cd2;
    letter-spacing: 1px;
}
.contact-info-form-name-text{
    font-size: 14px;
    color: #555;
    font-weight: lighter;
    letter-spacing: 1px;
    margin: 5px 0;
}
.contact-form-list {
    display: block;
    margin-bottom: 20px;
}
.contact-form-list-title{
    font-size: 14px;
    color: #555;
    letter-spacing: 1px;
    margin-bottom: 10px;
}
.contact-form-list input,
.contact-form-select{
    width: 100%;
    height: 26px;
    border: none;
    border-bottom: 1px solid #d1d1d1;
    font-size: 12px;
    letter-spacing: 1px;
    text-align: left;
    display: block;
    line-height: 26px;
    position: relative;
    box-sizing: border-box;
    color: #888;
    outline: none;
}
.contact-form-list ::placeholder { 
    color: #888;
}
.contact-form-list :-ms-input-placeholder { 
    color: #888;
}
.contact-form-list ::-ms-input-placeholder {
    color: #888;
}
.contact-form-list-textarea{
    resize: none;
    outline: none;
    width: 100%;
    height: 132px;
    border: 0;
    border-bottom: 1px solid #d1d1d1;
    font-size: 12px;
    letter-spacing: 1px;
    text-align: left;
    display: block;
    position: relative;
    box-sizing: border-box;
    color: #555;
    margin-bottom: 10px;
}
.button{
    box-sizing: border-box;
    padding-top: 10px;
}
.button button{
    width: 180px;
    height: 46px;
    margin: 0 auto;
    line-height: 46px;
    font-size: 16px;
    color: #888;
    border: 1px solid #ccc;
    background-color: #fff;
    display: block;
    cursor: pointer;
    transition: all .3s linear;
}
.contact-info-description-box{
    width: 580px;
    max-width: 100%;
    background-color: #fff;
    box-sizing: border-box;
    padding: 40px 35px;
    padding-bottom: 12px;
    display: inline-block;
    vertical-align: top;
}
.contact-info-description-title{
    font-size: 20px;
    color: #389cd2;
    letter-spacing: 1px;
    padding-bottom: 5px;
}
.contact-info-description-text-box{
    margin-top: 10px;
    margin-bottom: 6px;
}
.contact-info-description-text-title{
    font-size: 16px;
    font-weight: bold;
    margin: 5px 0;
}
.contact-info-description-text p{
    font-size: 14px;
    font-weight: lighter;
    color: #555;
    letter-spacing: 1px;
    font-family: '微軟正黑體';
    line-height: 2.1;
}
.contact-info-description-text span{
    display: block;
    font-size: 16px;
    font-family: 'roboto';
    color: #9f7a5b;
    letter-spacing: 1px;
    padding-bottom: 5px;
    transform: skewX(-10deg);
}
.contact-info-description-text a{
    color: #389cd2;
    text-decoration: underline;
}


.button button:hover{
    background-color: #2f7da7;
    color: #fff;
}



  /*--------contact共用-----------*/
.contact-form-list-title span{
    color: #c71313;
}

button{
    font-family: "微軟正黑體","Microsoft JhengHei";
}

  /*表單送出*/
.contact-thanks-box,
.alert-box{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
}
.contact-thanks-box.active,
.alert-box.active{
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks,
.alert-info{
    background-color: #fff;
    position: relative;
    padding: 80px;
    border-radius: 5px;
    z-index: 6;
}
.alert-info-box{
    position: relative;
}
.contact-thanks-p{
    font-size: 22px;
    line-height: 1.6;
    letter-spacing: 2px;
    font-weight: bold;
    color: #389cd2;
    display: block;
}
.contact-out,
.alert-out{
    width: 20px;
    height: 20px;
    max-width: 100%;
    display: block;
    position: absolute;
    border-radius: 50%;
    border: 1px solid #389cd2;
    top: 4%;
    right: 4%;
    cursor: pointer;
}
.contact-out span,
.alert-out span{
    width: 15px;
    height: 1px;
    background-color: #389cd2;
    display: block;
    margin: 0 auto;
    position: relative;
}
.alert-out{
    z-index: 6;
}
.contact-out span:nth-child(1),
.alert-out span:nth-child(1){
    top: 9px;
      left: 0.5px;
      transform: rotate(45deg);
}
.contact-out span:nth-child(2),
.alert-out span:nth-child(2){
      top: 8px;
      left: 0.5px;
      transform: rotate(-45deg);
}
.contact-thanks-mask,
.alert-mask{
    width: 100%;
    height: 100vh;
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.3);
}
.confirm-block {
    width: 100%;
    height: 100vh;
    position: fixed;
    z-index: 99999;
    top: 0;
    left: 0;
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
    display: -webkit-flex;
    display: flex;
}
.confirm-box {
    min-width: 300px;
    max-width: 100%;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 0 10px #555;
}
.confirm-info-box {
    position: relative;
}
.contact-thanks, .confirm-info {
    position: relative;
    padding: 40px;
    border-radius: 5px;
    z-index: 6;
    color: #389cd2;
}
.confirm-status {
    text-align: center;
    padding-bottom: 20px;
}
.confirm-status-save{
    padding: 5px 15px;
    box-sizing: border-box;
    background-color: #389cd2;
    border: none;
    border-radius: 5px;
    outline: none;
    color: #fff;
    margin-right: 10px;
    cursor: pointer;
}
.confirm-status-no {
    padding: 5px 15px;
    box-sizing: border-box;
    background-color: #389cd2;
    border: none;
    border-radius: 5px;
    outline: none;
    color: #fff;
    cursor: pointer;
}
@media only screen and (max-width: 1200px){
    .contact-info-box{
        width: 1000px;
        padding: 50px 0;
    }
    .contact-info-form-box,
    .contact-info-description-box{
        width: 480px;
    }
    .contact-box{
        margin-top: 77px;
    }
}
@media only screen and (max-width: 1000px){
    .contact-box{
        margin-top: 62px;
    }
    .contact-info-box{
        width: 800px;
    }
}
@media only screen and (max-width: 800px){
    .contact-box{
        margin-top: 54px;
    }
    .contact-info-box{
        width: 600px;
    }
    .contact-info-form-box{
        padding: 20px;
        margin-right: 20px;
    }
    .contact-info-description-box{
        padding: 20px;
    }
    .contact-info-form-name,
    .contact-info-description-title{
        font-size: 18px;
    }
    .contact-info-description-text-title{
        font-size: 14px;
    }
    .contact-info-form-name-text,
    .contact-info-description-text p{
        font-size: 12px;
    }
    .contact-info-form-name-box{
        margin-bottom: 10px;
    }

}
@media only screen and (max-width: 600px){
    .contact-info-box {
        width: 95%;
        display: block;
        padding: 20px 0;
    }
    .contact-info-description-box,
    .contact-info-form-box{
        width: 100%;
        display: block;
    }
    .contact-info-form-box{
        margin-right: 0;
        margin-top: 20px;
    }
    .button button{
        width: 150px;
        height: 36px;
        line-height: 36px;
    }
}
@media only screen and (max-width: 400px){
    .contact-box{
        margin-top: 49px;
    }
    .contact-form-list-title{
        font-size: 12px;
    }
    .contact-form-list{
        margin-bottom: 10px;
    }
    .contact-form-list-title{
        margin-bottom: 5px;
    }
    .contact-info-description-box, .contact-info-form-box{
        padding: 10px;
    }
}

/*animation*/
/*<-------------動畫------------->*/

/*@keyframes example {
    0%{

    }
    to {
        
    }
}*/
@media only screen and (min-width: 1001px){
    .contact-info-form-title{
        opacity: 0;
        animation: animation_fade 1s linear 1 0s both;
    }
    .contact-info-description-title{
        opacity: 0;
        animation: animation_ttob 1s ease 1 0s both;
    }
    .contact-info-description-text-box{
        opacity: 0;
        animation: animation_rtol 1s ease 1 0s both;
    }
}